Bug 633102 - [abrt] python-pep8-0.4.2-2.fc13: pep8:5:<module>:ImportError: No module named pkg_resources
[abrt] python-pep8-0.4.2-2.fc13: pep8:5:<module>:ImportError: No module named...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-pep8 (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
abrt_hash:112d1d89
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-12 17:49 EDT by Cesar Eduardo Barros
Modified: 2011-02-07 12:55 EST (History)
1 user (show)

See Also:
Fixed In Version: python-pep8-0.6.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-30 14:48:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (452 bytes, text/plain)
2010-09-12 17:49 EDT, Cesar Eduardo Barros
no flags Details

  None (edit)
Description Cesar Eduardo Barros 2010-09-12 17:49:05 EDT
abrt version: 1.1.13
architecture: x86_64
comment: Most likely a missing dependency on python-setuptools
component: python-pep8
executable: /usr/bin/pep8
kernel: 2.6.36-rc3+
package: python-pep8-0.4.2-2.fc13
reason: pep8:5:<module>:ImportError: No module named pkg_resources
release: Fedora release 13 (Goddard)
How to reproduce: 1.Ran pep8 on a random .py file
time: 1284327861
uid: 500

backtrace
-----
pep8:5:<module>:ImportError: No module named pkg_resources

Traceback (most recent call last):
  File "/usr/bin/pep8", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/pep8'
__package__: None
sys: <module 'sys' (built-in)>
__requires__: 'pep8==0.4.2'
__name__: '__main__'
__doc__: None
Comment 1 Cesar Eduardo Barros 2010-09-12 17:49:07 EDT
Created an attachment (id=446806)
File: backtrace
Comment 2 Cesar Eduardo Barros 2010-09-12 18:05:13 EDT
Installing python-setuptools and python3-setuptools fixed this problem, so it is most likely a missing dependency.
Comment 3 Ian Weller 2011-01-21 16:23:13 EST
I'm bad at responding to bugs, apparently. Fix going into git and built within the next 10 minutes.
Comment 4 Fedora Update System 2011-01-21 17:11:54 EST
python-pep8-0.6.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pep8-0.6.0-2.el6
Comment 5 Fedora Update System 2011-01-21 17:12:00 EST
python-pep8-0.6.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-pep8-0.6.0-2.fc14
Comment 6 Fedora Update System 2011-01-21 17:12:06 EST
python-pep8-0.6.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-pep8-0.6.0-2.el5
Comment 7 Fedora Update System 2011-01-21 17:12:13 EST
python-pep8-0.6.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-pep8-0.6.0-2.fc13
Comment 8 Fedora Update System 2011-01-22 13:20:51 EST
python-pep8-0.6.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-pep8'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-pep8-0.6.0-2.el6
Comment 9 Fedora Update System 2011-01-30 14:48:45 EST
python-pep8-0.6.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-01-30 14:49:02 EST
python-pep8-0.6.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-02-07 12:54:12 EST
python-pep8-0.6.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-02-07 12:55:11 EST
python-pep8-0.6.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.